#pragma once

#include "Board.h"
#include "MNode.h"
#include "Parser.h"

using namespace std;

class Engine {
	Board* b;
	int alpha, beta;
	
public:
	Engine();
	Board* getBoard() { return b; }
	void startGame();
	void userGame(int difficulty);
	void AIGame(int difficulty);
	void AI(int depth);
	void createMMTree(MNode* node, int depth, int alt);
	moves evaluateMMTree(MNode* node);
	int evaluateMMBranch(MNode* node, int max, int min);
};
